%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:           t4k_common
Version:        0.1.1
Release:        %mkrel 14
Summary:        Tux4Kids common files
Group:          Games/Other
License:        GPLv3+
URL:            http://tux4kids.alioth.debian.org
# have to change with each new release as the number after download.php changes :(
Source0:        http://alioth.debian.org/frs/download.php/3439/%{name}-%{version}.tar.gz
Patch0:		t4k_common-0.1.1-libpng15.patch
# gentoo patches
Patch1:		t4k-common-0.1.1-fno-common.patch
Patch2:		t4k-common-0.1.1-ICONV_CONST.patch
Patch3:		t4k-common-0.1.1-fix-declaration.patch
Patch4:		t4k-common-0.1.1-missing-text.patch
Patch5:		t4k-common-0.1.1-svg-libxml2.patch
Patch6:		t4k-common-0.1.1-gcc14-build-fix.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libpng)

%description
Files shared by tuxmath, tuxtype, and possibly other Tux4Kids
apps in the future.

%package -n %{libname}
Summary:        Library of code shared between Tux4Kids apps
Group:          System/Libraries

%description -n %{libname}
Library of code shared by tuxmath, tuxtype, and possibly other tux4kids
apps in the future.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{libname}.

%prep
%autosetup -p1

#make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE(\(.*\)),AM_INIT_AUTOMAKE(\[\1 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--disable-rpath \
	--disable-doxygen-doc
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_datadir}/%{name}/

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Mar 16 2025 wally <wally> 0.1.1-14.mga10
+ Revision: 2165033
- rebuild for libxml2 2.13.6

* Sat Apr 06 2024 daviddavid <daviddavid> 0.1.1-13.mga10
+ Revision: 2055120
- add gentoo patch to fix build with GCC 14

* Tue Apr 04 2023 daviddavid <daviddavid> 0.1.1-13.mga9
+ Revision: 1951442
- add gentoo patches to really fix some build issue with gcc 10
- switch BRs to pkgconfig()

* Fri Apr 01 2022 umeabot <umeabot> 0.1.1-12.mga9
+ Revision: 1839867
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 0.1.1-11.mga8
+ Revision: 1617536
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 0.1.1-10.mga8
+ Revision: 1517365
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.1-9.mga7
+ Revision: 1301304
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 0.1.1-8.mga7
+ Revision: 1242784
- fix build on aarch64

* Sat Feb 06 2016 umeabot <umeabot> 0.1.1-7.mga6
+ Revision: 940079
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-6.mga5
+ Revision: 741532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 689675
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-4.mga4
+ Revision: 525907
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.1.1-3.mga4
+ Revision: 434967
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 383999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 0.1.1-1.mga2
+ Revision: 144823
- fix file list
- fix file list
- fix build with latest png
- new version 0.1.1
- rebuild for new libpng

* Sun Mar 27 2011 anaselli <anaselli> 0.0.3-1.mga1
+ Revision: 78091
- imported package t4k_common


* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 624602
- import t4k_common

